Deploy Phabricator with scap3
Closed, ResolvedPublic3 Story Points

Description

Deploy phabricator, including all dependencies, using scap3

Repositories that need deploying:

  • phab/libphutil
  • phab/arcanist
  • phab/libext/security
  • phab/libext/Sprint
  • phab/extensions
  • phab/phabricator

scap3 deployment repository is rPHDEP Phabricator Deployment

mmodell created this task.Oct 1 2015, 1:33 PM
mmodell updated the task description. (Show Details)
mmodell raised the priority of this task from to Normal.
mmodell claimed this task.
mmodell added subscribers: demon, mmodell, thcipriani and 2 others.
Restricted Application added a subscriber: scfc. · View Herald TranscriptOct 1 2015, 1:33 PM
mmodell removed a project: releng-201516-q2.
mmodell set Security to None.
greg awarded a token.Oct 1 2015, 3:22 PM
mmodell raised the priority of this task from Normal to High.Oct 6 2015, 9:44 AM
mmodell moved this task from Needs triage to Services MVP on the Scap board.Oct 7 2015, 9:57 PM
mmodell moved this task from Services MVP to Experiments on the Scap board.Oct 9 2015, 8:51 PM
mmodell edited a custom field.Oct 12 2015, 4:14 PM
mmodell moved this task from To Triage to Backlog on the Phabricator board.Oct 14 2015, 3:54 PM
greg renamed this task from Deploy phabricator with scap3 to Deploy Phabricator with scap3.Oct 22 2015, 10:22 PM
mmodell updated the task description. (Show Details)Feb 4 2016, 6:25 PM
mmodell updated the task description. (Show Details)
greg edited projects, added scap2; removed Deployment-Systems.Feb 9 2016, 11:33 PM
mmodell moved this task from Experiments to Services MVP on the Scap board.Feb 11 2016, 10:34 AM
dduvall moved this task from Services MVP to Adoption on the Scap board.Feb 12 2016, 7:00 PM

https://gerrit.wikimedia.org/r/#/c/270741/ I've done this so we can have puppet enabled on that box (which it now is). phab-related changes wil of course hot be applied. We can revert when this task is resolved.

@ArielGlenn: That's awesome, thanks!

Well sadly it failed, because sshd. But we did get a puppet run out of it, so we're up to date for today.

Change 271442 had a related patch set uploaded (by 20after4):
Install the scap package from deb instead of trebuchet

https://gerrit.wikimedia.org/r/271442

Change 271442 merged by Rush:
Install the scap package from deb instead of trebuchet

https://gerrit.wikimedia.org/r/271442

Change 274502 had a related patch set uploaded (by 20after4):
Add a deployment source for phabricator deployment from tin/mira

https://gerrit.wikimedia.org/r/274502

mmodell closed this task as Resolved.Mar 3 2016, 1:58 AM

Change 274905 had a related patch set uploaded (by 20after4):
Ferm rule: allow deployment hosts to connect to iridium ssh (for scap)

https://gerrit.wikimedia.org/r/274905

Change 274905 abandoned by 20after4:
Ferm rule: allow deployment hosts to connect to iridium ssh (for scap)

Reason:
duplicated by mistake, I'm sorry

https://gerrit.wikimedia.org/r/274905

Change 274502 merged by Dzahn:
Add a deployment source & target class for phabricator

https://gerrit.wikimedia.org/r/274502

Change 282186 had a related patch set uploaded (by Thcipriani):
scap: add configuration for phabricator

https://gerrit.wikimedia.org/r/282186

Change 282186 merged by Giuseppe Lavagetto:
scap: add configuration for phabricator

https://gerrit.wikimedia.org/r/282186

Change 283494 had a related patch set uploaded (by 20after4):
scap: add deployment configuration for phabricator

https://gerrit.wikimedia.org/r/283494

Change 283494 merged by Dzahn:
scap: add configuration for phabricator

https://gerrit.wikimedia.org/r/283494